org.springframework.cloud.dataflow.server.config

## Class DefaultEnvironmentPostProcessor

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DefaultEnvironmentPostProcessor

- All Implemented Interfaces:
    org.springframework.boot.env.EnvironmentPostProcessor, org.springframework.core.Ordered

      public class DefaultEnvironmentPostProcessor
      extends Object
      implements org.springframework.boot.env.EnvironmentPostProcessor, org.springframework.core.Ordered

  Contributes the values from `META-INF/dataflow-server-defaults.yml` and `dataflow-server.yml` if it exists, before any of Spring Boot's normal configuration contributions apply. This has the effect of supplying overridable defaults to the various Spring Cloud Data Flow Deployer SPI implementations that in turn override the defaults provided by Spring Boot.
  Author:
    Josh Long, Janne Valkealahti

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEnvironmentPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrder()`
    `void` | `postProcessEnvironment(org.springframework.core.env.ConfigurableEnvironment environment, org.springframework.boot.SpringApplication application)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultEnvironmentPostProcessor

          public DefaultEnvironmentPostProcessor()

  - ### Method Detail

    - #### postProcessEnvironment

          public void postProcessEnvironment(org.springframework.core.env.ConfigurableEnvironment environment,
                                             org.springframework.boot.SpringApplication application)

      Specified by:
        `postProcessEnvironment` in interface `org.springframework.boot.env.EnvironmentPostProcessor`

    - #### getOrder

          public int getOrder()

      Specified by:
        `getOrder` in interface `org.springframework.core.Ordered`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.